<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform" >

<xsl:output method="xml" indent="yes" omit-xml-declaration="yes" doctype-public="-//W3C//DTD XHTML 1.0 Strict//EN" doctype-system="http://www.w3.org/TR/xhtml1/DTD/xhtml1-strict.dtd" />

<xsl:template match="article">
<html xmlns="http://www.w3.org/1999/xhtml" xml:lang="en" lang="en">

<xsl:comment>
This template is free to use if the following is left in:
Original XSL, XML and CSS template designed by ZYPE Limited (http://www.zype.co.nz/)
</xsl:comment>

<head>
	<title>Canterbury Cyclones: Flames</title>
	<link rel="stylesheet" href="stylesheets/css/globalstyle.css"/>
	<meta http-equiv="Content-Type" content="text/html; charset=UTF-8" />
</head>

<body>

<div class="toparea">&#160;</div>
<div class="logo"><img src="images/layout/logo.gif" alt=""/></div>
<div class="topright">&#160;</div>


<ul class="navpos">
	<li>Draw/Results</li>
</ul>


<div class="content">
	<h1>Draw/Results</h1>
	
	<xsl:apply-templates select="draw"/>
</div>


</body>
</html>
</xsl:template>

<xsl:template match="draw">
<table>
		<tr>
			<th>Date</th>
			<th>Time</th>
			<th>vs.</th>
			<th>Score</th>
		</tr>
		
		<xsl:apply-templates select="game"/>

	</table>
</xsl:template>

<xsl:template match="game">
	<xsl:choose>
		<xsl:when test="@status='current'">
			<tr class="current">
				<xsl:call-template name="gamedetails"/>
			</tr>
		</xsl:when>
		<xsl:otherwise>
			<tr>
				<xsl:call-template name="gamedetails"/>
			</tr>
		</xsl:otherwise>
	</xsl:choose>
</xsl:template>

<xsl:template name="gamedetails">
<td><xsl:value-of select="date"/></td>
		<td><xsl:value-of select="time"/></td>
		<td><xsl:value-of select="opposition"/></td>
		<td>
			<xsl:choose>
				<xsl:when test="score">
					<xsl:choose>
						<xsl:when test="score/home=score/away">
							<span class="draw" title="Draw"><xsl:value-of select="score/home"/>-<xsl:value-of select="score/away"/></span>
						</xsl:when >
						<xsl:when test="score/home>score/away">
							<span class="win" title="Win"><xsl:value-of select="score/home"/>-<xsl:value-of select="score/away"/></span>
						</xsl:when >
						<xsl:when test="score/home&lt;score/away">
							<span class="loss" title="Loss"><xsl:value-of select="score/home"/>-<xsl:value-of select="score/away"/></span>
						</xsl:when >
					</xsl:choose>
				</xsl:when>
				<xsl:otherwise>
					&#160;
				</xsl:otherwise>
			</xsl:choose>
		</td>
</xsl:template>

</xsl:stylesheet>
